#include <stdio.h>
#include <fcntl.h>
#include <stdlib.h>
#include <unistd.h>
#include <netinet/in.h>


int main (int argc, char ** argv)
{
        int fd, offset, size;
        int i;
        long data, csum = 0;
        
        fd = open (argv[1], O_RDONLY);
        offset = strtol (argv[2], NULL, 0);
        lseek (fd, offset, SEEK_SET);
        size = strtol (argv[3], NULL, 0) / sizeof (long);

        for (i = 0; i < size; i++)
        {
			read (fd, &data, sizeof (data));
			data = ntohl (data);
			csum += data;
		}

		printf ("%8lx\n", csum);
		return 0;
}
